[Risolto] vgaswicheroo su opensuse

5 risposte [Ultimo messaggio]
Ritratto di seba66
seba66
(Newbie)
Offline
Newbie
Iscritto: 21/08/2013
Messaggi: 5

Salve a tutti, sono nuovo del forum. Avevo intenzione di installare Opensuse.
Avendo purtroppo un notebook hp con doppia scheda Ati + intel avevo bisogno di sapere se questo script qui trovato in rete poteva funzionare con opensuse .
Grazie.

Ritratto di aksaf
aksaf
(Guru)
Offline
Guru
Iscritto: 08/03/2011
Messaggi: 957

I pacchetti per openSUSE ci sono (anche dell'app di vgaswitcheroo per KDE switchablegraphics), che funzionino penso dipenda dal tipo di hardware e dai driver usati (in particolare liberi piuttosto che proprietari per AMD(ati))

Ritratto di seba66
seba66
(Newbie)
Offline
Newbie
Iscritto: 21/08/2013
Messaggi: 5

Questo è il mio hardware delle schede video.

# lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Manhattan [Mobility Radeon HD 5400 Series] (rev ff)

@aksaf
Dove posso trovare questi pacchetti per vgaswsheroo ?
I driver che uso sono quelli liberi.

Ritratto di aksaf
aksaf
(Guru)
Offline
Guru
Iscritto: 08/03/2011
Messaggi: 957

seba66 ha scritto:

Questo è il mio hardware delle schede video.

# lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Manhattan [Mobility Radeon HD 5400 Series] (rev ff)

@aksaf
Dove posso trovare questi pacchetti per vgaswsheroo ?
I driver che uso sono quelli liberi.


ok, quindi driver radeon, allora qui vgaswitcheroo_systemd e e qui switchablegraphics, opzionale, per KDE

Ritratto di seba66
seba66
(Newbie)
Offline
Newbie
Iscritto: 21/08/2013
Messaggi: 5

@aksaf

Grazie ho risolto installando quel pacchetto suggerito da te.

Ritratto di aksaf
aksaf
(Guru)
Offline
Guru
Iscritto: 08/03/2011
Messaggi: 957

ok, solo una cosa: http://software.opensuse.org/package/vgaswitcheroo_systemd stranamente mi mette i pacchetti per openSUSE 12.3 e inf. sotto "unsupported distr." e li segnala come non-free, ovviamente non è così (misteri di OBS).
Wave